/*******************************************************************************
* File Name: StripLights_DCFin.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_StripLights_DCFin_ALIASES_H) /* Pins StripLights_DCFin_ALIASES_H */
#define CY_PINS_StripLights_DCFin_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define StripLights_DCFin_0			(StripLights_DCFin__0__PC)
#define StripLights_DCFin_0_PS		(StripLights_DCFin__0__PS)
#define StripLights_DCFin_0_PC		(StripLights_DCFin__0__PC)
#define StripLights_DCFin_0_DR		(StripLights_DCFin__0__DR)
#define StripLights_DCFin_0_SHIFT	(StripLights_DCFin__0__SHIFT)
#define StripLights_DCFin_0_INTR	((uint16)((uint16)0x0003u << (StripLights_DCFin__0__SHIFT*2u)))

#define StripLights_DCFin_INTR_ALL	 ((uint16)(StripLights_DCFin_0_INTR))


#endif /* End Pins StripLights_DCFin_ALIASES_H */


/* [] END OF FILE */
