/*******************************************************************************
* File Name: Test123.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Test123_ALIASES_H) /* Pins Test123_ALIASES_H */
#define CY_PINS_Test123_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Test123_0			(Test123__0__PC)
#define Test123_0_PS		(Test123__0__PS)
#define Test123_0_PC		(Test123__0__PC)
#define Test123_0_DR		(Test123__0__DR)
#define Test123_0_SHIFT	(Test123__0__SHIFT)
#define Test123_0_INTR	((uint16)((uint16)0x0003u << (Test123__0__SHIFT*2u)))

#define Test123_INTR_ALL	 ((uint16)(Test123_0_INTR))


#endif /* End Pins Test123_ALIASES_H */


/* [] END OF FILE */
