/*******************************************************************************
* File Name: LedB.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LedB_ALIASES_H) /* Pins LedB_ALIASES_H */
#define CY_PINS_LedB_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define LedB_0			(LedB__0__PC)
#define LedB_0_PS		(LedB__0__PS)
#define LedB_0_PC		(LedB__0__PC)
#define LedB_0_DR		(LedB__0__DR)
#define LedB_0_SHIFT	(LedB__0__SHIFT)
#define LedB_0_INTR	((uint16)((uint16)0x0003u << (LedB__0__SHIFT*2u)))

#define LedB_INTR_ALL	 ((uint16)(LedB_0_INTR))


#endif /* End Pins LedB_ALIASES_H */


/* [] END OF FILE */
