/*******************************************************************************
* File Name: LedG.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LedG_ALIASES_H) /* Pins LedG_ALIASES_H */
#define CY_PINS_LedG_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define LedG_0			(LedG__0__PC)
#define LedG_0_PS		(LedG__0__PS)
#define LedG_0_PC		(LedG__0__PC)
#define LedG_0_DR		(LedG__0__DR)
#define LedG_0_SHIFT	(LedG__0__SHIFT)
#define LedG_0_INTR	((uint16)((uint16)0x0003u << (LedG__0__SHIFT*2u)))

#define LedG_INTR_ALL	 ((uint16)(LedG_0_INTR))


#endif /* End Pins LedG_ALIASES_H */


/* [] END OF FILE */
