/*******************************************************************************
* File Name: LedR.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LedR_ALIASES_H) /* Pins LedR_ALIASES_H */
#define CY_PINS_LedR_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define LedR_0			(LedR__0__PC)
#define LedR_0_PS		(LedR__0__PS)
#define LedR_0_PC		(LedR__0__PC)
#define LedR_0_DR		(LedR__0__DR)
#define LedR_0_SHIFT	(LedR__0__SHIFT)
#define LedR_0_INTR	((uint16)((uint16)0x0003u << (LedR__0__SHIFT*2u)))

#define LedR_INTR_ALL	 ((uint16)(LedR_0_INTR))


#endif /* End Pins LedR_ALIASES_H */


/* [] END OF FILE */
