/*******************************************************************************
* File Name: MyPin.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_MyPin_ALIASES_H) /* Pins MyPin_ALIASES_H */
#define CY_PINS_MyPin_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define MyPin_0			(MyPin__0__PC)
#define MyPin_0_PS		(MyPin__0__PS)
#define MyPin_0_PC		(MyPin__0__PC)
#define MyPin_0_DR		(MyPin__0__DR)
#define MyPin_0_SHIFT	(MyPin__0__SHIFT)
#define MyPin_0_INTR	((uint16)((uint16)0x0003u << (MyPin__0__SHIFT*2u)))

#define MyPin_INTR_ALL	 ((uint16)(MyPin_0_INTR))


#endif /* End Pins MyPin_ALIASES_H */


/* [] END OF FILE */
