/*******************************************************************************
* File Name: TPgreen.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TPgreen_ALIASES_H) /* Pins TPgreen_ALIASES_H */
#define CY_PINS_TPgreen_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define TPgreen_0			(TPgreen__0__PC)
#define TPgreen_0_PS		(TPgreen__0__PS)
#define TPgreen_0_PC		(TPgreen__0__PC)
#define TPgreen_0_DR		(TPgreen__0__DR)
#define TPgreen_0_SHIFT	(TPgreen__0__SHIFT)
#define TPgreen_0_INTR	((uint16)((uint16)0x0003u << (TPgreen__0__SHIFT*2u)))

#define TPgreen_INTR_ALL	 ((uint16)(TPgreen_0_INTR))


#endif /* End Pins TPgreen_ALIASES_H */


/* [] END OF FILE */
