/* ========================================
 *
 * DCF77 decoding
 *
 * by Holger Wech
 * 2017-07-12 : first release
 *
 * ========================================
*/

#if !defined(DCF77_H)
    
    #define DCF77_H

    #include <cytypes.h>
    
    enum DCF77STATE {DCF77reset = 0, DCF77running };

    CY_ISR(ISR_Timer_Compare_TC);
    
    //void DCF77_AddBit(uint8_t bit);
    //void DCF77_Output();
    void DCF77_Start();
    //void DCF77_Reset();
    void DCF77_Clear_Data();
    uint8_t DCF77_Get_Time(uint8_t *hour, uint8_t *minute);
    uint8_t DCF77_Get_Date(uint8_t *day, uint8_t *month, uint16_t *year);
    
    //uint8_t DCF77_Evaluate();

#endif

/* [] END OF FILE */
